- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Friends
efl::eina::_ptr_array_iterator< T > Struct Template Reference
Eina C++Eina C++ » | Data Types » Containers » Array of Pointers Eina C++Eina C++ » | Data Types » | Containers

## Public Types
typedef T | value_type
typedef value_type * | pointer
typedef value_type & | reference
typedef std::ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category

## Public Member Functions
| _ptr_array_iterator (void **ptr)
| _ptr_array_iterator (_ptr_array_iterator< typename remove_cv< value_type >::type > const &other)
_ptr_array_iterator< T > & | operator++ ()
_ptr_array_iterator< T > | operator++ (int)
_ptr_array_iterator< T > & | operator-- ()
_ptr_array_iterator< T > | operator-- (int)
reference | operator* () const
pointer | operator-> () const
void ** | native_handle () const

## Friends
template<typename U >
struct | _ptr_array_iterator
bool | operator== (_ptr_array_iterator< T > lhs, _ptr_array_iterator< T > rhs)
bool | operator!= (_ptr_array_iterator< T > lhs, _ptr_array_iterator< T > rhs)
_ptr_array_iterator< T > | operator+ (_ptr_array_iterator< T > lhs, difference_type size)
_ptr_array_iterator< T > | operator- (_ptr_array_iterator< T > lhs, difference_type size)
difference_type | operator- (_ptr_array_iterator< T > lhs, _ptr_array_iterator< T > rhs)